fn main() {
    let a: Option<i8> = None;
    // This is not going to panic because we use println!()
    match a {
        Some(v) => println!("x: {}", v),
        None => println!("Error but continue!"),
    } 
    let b: Result<i8, &'static str> = Ok(123);
    // This might panic depending on the value of b
    // In this case, it is not going to panic
    match b {
        Ok(v) => println!("x: {}", v),
        Err(e) => panic!("Error {}!", e),
    } 
    // This is going to panic because a = None.
    match a {
        Some(v) => println!("x: {}", v),
        None => panic!("Error!"),
    }
    println!("Ping!");
}
