use std::fs::OpenOptions;
use std::io::Write;
use std::env;
use std::path::Path;

fn main() {
    let args: Vec<_> = env::args().collect();
    if args.len() != 2 {
        println!("Need just one argument.");
        return
    }
    let input = std::env::args().nth(1).unwrap();
    let c = Path::new(&input).exists();
    if c == false {
        println!("{} does not exist!", input);
        return
    }

   let mut file = OpenOptions::new().append(true)
        .open(input)
        .expect("Cannot open file.");

   file.write_all("LXF\n".as_bytes()).expect("Write failed!");
   file.write_all("The best Linux magazine!\n".as_bytes()).expect("Write failed!");
}

