use std::env;
use std::io::{BufReader, BufRead};
use std::fs::File;

fn main() { 
    let args: Vec<_> = env::args().collect();
    if args.len() == 1 {
        println!("Usage: {} text_file(s)", args[0]);
        return;
    }

    let n_args = args.len();
    for x in 1..n_args {
        let input_path = ::std::env::args().nth(x).unwrap();
        let file = BufReader::new(File::open(&input_path).unwrap());
        for line in file.lines() {
            let my_line = line.unwrap();
            println!("{}", my_line);
        }
    }
}
