use std::env;
use std::path::Path;

fn main() {    
    let args: Vec<_> = env::args().collect();
    if args.len() != 2 {
        println!("Need just one argument.");
        return
    }
    
    let input = std::env::args().nth(1).unwrap();
    let c = Path::new(&input).exists();
    if c == true {
        println!("The {} path already exists!", input);
        return
    }

    std::fs::File::create(input).expect("File creation failed!");
    println!("File created!");
}
