fn get_option() -> Option<&'static i32> {
    return Some(&123);
}

fn get_result() -> Result<i32, String> {
    return Err("This is an error message.".to_string())
}

fn main() {
    let a_value;
    match get_option() {
        Some(v) => { 
            a_value = v;
            println!("a_value: {}", a_value);
        }
        None => println!("get_option(): No value!"),
    }

    match get_result() {
        Ok(v) => println!("{}", v),
        Err(e) => println!{"get_result() error: {}", e},
    }

    // let x = get_option().unwrap();
    let x = get_option().expect("get_option() invalid input");
    println!("x: {}", x);
    // let y = get_result().unwrap();
    let y = get_result().expect("get_result() invalid input");
    println!("y: {}", y);
}
